# DataExchange
TKXSBase
Transfer

# Transfer_SimpleBinderOfTransient Class Reference

An adapted instantiation of SimpleBinder for Transient Result,
i.e. ResultType can be computed from the Result itself,
instead of being static
.

`#include <Transfer_SimpleBinderOfTransient.hxx>`

Inheritance diagram for Transfer_SimpleBinderOfTransient:

[legend]

## Public Member Functions

Standard_EXPORT | Transfer_SimpleBinderOfTransient ()
| Creates an empty SimpleBinderOfTransient //! Returns True if a starting object is bound with SEVERAL results : Here, returns allways False See Binder itself .
Standard_EXPORT Handle_Standard_Type | ResultType () const
| Returns the Effective (Dynamic) Type of the Result (Standard_Transient if no Result is defined) .
Standard_EXPORT Standard_CString | ResultTypeName () const
| Returns the Effective Name of (Dynamic) Type of the Result (void) if no result is defined .
Standard_EXPORT void | SetResult (const Handle(Standard_Transient)&res)
| Defines the Result .
Standard_EXPORT const Handle_Standard_Transient & | Result () const
| Returns the defined Result, if there is one .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | GetTypedResult (const Handle(Transfer_Binder)&bnd, const Handle(Standard_Type)&atype, Handle(Standard_Transient)&res)
| Returns a transient result according to its type (IsKind) i.e. the result itself if IsKind(atype), else searches in NextResult, until first found, then returns True If not found, returns False (res is NOT touched) This syntactic form avoids to do DownCast : if a result is found with the good type, it is loaded in <res> and can be immediately used, well initialised .

## Private Attributes

Handle_Standard_Transient | theres

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_SimpleBinderOfTransient::Transfer_SimpleBinderOfTransient | ( |  | ) |

## Member Function Documentation

static Standard_EXPORT Standard_Boolean Transfer_SimpleBinderOfTransient::GetTypedResult | ( | const Handle(Transfer_Binder)& | bnd,
|  | const Handle(Standard_Type)& | atype,
|  | Handle(Standard_Transient)& | res
| ) | `[static]`

Standard_EXPORT const Transfer_SimpleBinderOfTransient::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_Binder. Reimplemented in Transfer_BinderOfTransientInteger.

Standard_EXPORT const Handle_Standard_Transient& Transfer_SimpleBinderOfTransient::Result | ( |  | ) | const

Standard_EXPORT Handle_Standard_Type Transfer_SimpleBinderOfTransient::ResultType | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

Standard_EXPORT Standard_CString Transfer_SimpleBinderOfTransient::ResultTypeName | ( |  | ) | const`[virtual]`

| Implements Transfer_Binder.

Standard_EXPORT void Transfer_SimpleBinderOfTransient::SetResult | ( | const Handle(Standard_Transient)& | res | ) |

## Field Documentation

Handle_Standard_Transient Transfer_SimpleBinderOfTransient::theres `[private]`

The documentation for this class was generated from the following file:

- Transfer_SimpleBinderOfTransient.hxx